<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: schema.jsdoc</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: schema.jsdoc</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>/**
 * @typedef {Object} Query
 * @property {HostQuery} [hosts]
 * @property {HostLiveMetricsQuery} [hostLiveMetrics]
 * @property {HostTotalsQuery} [hostTotals]
 */

/**
 * @typedef {Object} HostQuery
 * @property {boolean} [exactTotalMatching]
 * @property {number} [totalReturned]
 * @property {number} [totalMatching]
 * @property {Array&lt;(Host|null|undefined)>} [hostList]
 * @property {HostTotals} [totals]
 */

/**
 * @typedef {Object} Host
 * @description A hardware or virtual machine instance
 * @property {number} [lastReportedTime]
 * @property {string} [name] - The name of the host
 * @property {boolean} [isMuted]
 * @property {number} [muteTimeout]
 * @property {Array&lt;(string|null|undefined)>} [apps]
 * @property {SourceTags} [tagsBySource]
 * @property {boolean} [up]
 * @property {HostMetrics} [metrics]
 * @property {HostLiveMetrics} [liveMetrics]
 * @property {Array&lt;(string|null|undefined)>} [sources]
 * @property {string} [hostName]
 * @property {string} [id]
 * @property {Array&lt;(string|null|undefined)>} [aliases]
 */

/**
 * @typedef {Object} SourceTags
 * @property {Array&lt;(string|null|undefined)>} [Datadog]
 */

/**
 * @typedef {Object} HostMetrics
 * @property {number} [load]
 * @property {number} [iowait]
 * @property {number} [cpu]
 */

/**
 * @typedef {Object} HostLiveMetrics
 * @property {number} [load15]
 * @property {number} [iowait]
 * @property {number} [cpu]
 */

/**
 * @typedef {Object} HostTotals
 * @property {number} [totalActive]
 * @property {number} [totalUp]
 * @property {number} [totalReturned]
 * @property {number} [totalMatching]
 */

/**
 * @typedef {Object} HostLiveMetricsQuery
 * @property {Array&lt;(HostLiveMetricsMap|null|undefined)>} [hostList]
 */

/**
 * @typedef {Object} HostLiveMetricsMap
 * @property {string} [name]
 * @property {HostLiveMetrics} [liveMetrics]
 */

/**
 * @typedef {Object} HostTotalsQuery
 * @property {number} [totalActive]
 * @property {number} [totalUp]
 */

/**
 * @typedef {Object} Subscription
 * @property {Array&lt;(HostLiveMetricsMap|null|undefined)>} [hostLiveMetricsChanged]
 */</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3><a href="global.html">Global</a></h3>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.4</a> on Tue Jun 30 2020 12:42:03 GMT-0400 (Eastern Daylight Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
